OpenAPI SpecificationJSON
API Reference

Suggested Edit

A suggested edit object contains splittings of incoming document suggested by the AI engine.

Suggested edit objects are created automatically during document import.

Suggested edit

Attribute
Type
Description
id*
read-only
integer (int64)

ID of the suggested edit.

url*
read-only
string (url)

URL of the suggested edit.

annotation*
string (url)

Annotation that suggested edit is related to.

documents*
list[object]

List of document split descriptors.

pages
list[object]

List of pages that should be split.

page
string (url)

Page to split.

rotation
integer

Rotation of the page.

Default: 0
deleted
boolean

Indicates whether the page is marked as deleted.

Default: false
target_queue
string (url)

Target queue for the suggested split.

values
object

Edit values to be propagated to newly created annotations. Keys must be prefixed with "edit:", e.g. "edit:document_type". Schema Datapoint description describes how it is used to initialize datapoint value.

Default: {}

List suggested edits

GET api / v1 / suggested_edits

Retrieve all suggested edit objects.

GET
/api/v1/suggested_edits
curl -X GET "https://example.rossum.app/api/v1/suggested_edits"
{
  "results": [
    {
      "id": 314528,
      "url": "https://example.rossum.app/api/v1/suggested_edits/314528",
      "annotation": "https://example.rossum.app/api/v1/annotations/314528",
      "documents": [
        {
          "pages": [
            {
              "page": "https://example.rossum.app/api/v1/pages/314554",
              "rotation": 0,
              "deleted": false
            }
          ],
          "target_queue": "https://example.rossum.app/api/v1/queues/314528",
          "values": {
            "edit:document_type": "invoice"
          }
        }
      ]
    }
  ],
  "pagination": {
    "next": null,
    "previous": null
  }
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
results
id*
read-only
integer (int64)

ID of the suggested edit.

url*
read-only
string (url)

URL of the suggested edit.

annotation*
string (url)

Annotation that suggested edit is related to.

documents*
list[object]

List of document split descriptors.

pages
list[object]

List of pages that should be split.

page
string (url)

Page to split.

rotation
integer

Rotation of the page.

Default: 0
deleted
boolean

Indicates whether the page is marked as deleted.

Default: false
target_queue
string (url)

Target queue for the suggested split.

values
object

Edit values to be propagated to newly created annotations. Keys must be prefixed with "edit:", e.g. "edit:document_type". Schema Datapoint description describes how it is used to initialize datapoint value.

Default: {}
pagination
pagination
next
URL

URL for the next page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the next page — do not attempt to construct or modify the cursor value.

previous
URL

URL for the previous page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the previous page — do not attempt to construct or modify the cursor value.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Create suggested edit

POST api / v1 / suggested_edits

Create a new suggested edit object.

POST
/api/v1/suggested_edits
curl -X POST "https://example.rossum.app/api/v1/suggested_edits" \  -H "Content-Type: application/json" \  -d '{    "annotation": "https://example.rossum.app/api/v1/annotations/314528",    "documents": [      {}    ]  }'
{
  "id": 314528,
  "url": "https://example.rossum.app/api/v1/suggested_edits/314528",
  "annotation": "https://example.rossum.app/api/v1/annotations/314528",
  "documents": [
    {
      "pages": [
        {
          "page": "https://example.rossum.app/api/v1/pages/314554",
          "rotation": 0,
          "deleted": false
        }
      ],
      "target_queue": "https://example.rossum.app/api/v1/queues/314528",
      "values": {
        "edit:document_type": "invoice"
      }
    }
  ]
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
annotation*
string (url)

Annotation that suggested edit is related to.

documents*
list[object]

List of document split descriptors.

pages
list[object]

List of pages that should be split.

page
string (url)

Page to split.

rotation
integer

Rotation of the page.

Default: 0
deleted
boolean

Indicates whether the page is marked as deleted.

Default: false
target_queue
string (url)

Target queue for the suggested split.

values
object

Edit values to be propagated to newly created annotations. Keys must be prefixed with "edit:", e.g. "edit:document_type". Schema Datapoint description describes how it is used to initialize datapoint value.

Default: {}

Response

201Created

Created

Attribute
Type
Description
id*
read-only
integer (int64)

ID of the suggested edit.

url*
read-only
string (url)

URL of the suggested edit.

annotation*
string (url)

Annotation that suggested edit is related to.

documents*
list[object]

List of document split descriptors.

pages
list[object]

List of pages that should be split.

page
string (url)

Page to split.

rotation
integer

Rotation of the page.

Default: 0
deleted
boolean

Indicates whether the page is marked as deleted.

Default: false
target_queue
string (url)

Target queue for the suggested split.

values
object

Edit values to be propagated to newly created annotations. Keys must be prefixed with "edit:", e.g. "edit:document_type". Schema Datapoint description describes how it is used to initialize datapoint value.

Default: {}
400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Retrieve suggested edit

GET api / v1 / suggested_edits / {suggestedEditID}

Get a suggested edit object.

GET
/api/v1/suggested_edits/{suggestedEditID}
curl -X GET "https://example.rossum.app/api/v1/suggested_edits/0"
{
  "id": 314528,
  "url": "https://example.rossum.app/api/v1/suggested_edits/314528",
  "annotation": "https://example.rossum.app/api/v1/annotations/314528",
  "documents": [
    {
      "pages": [
        {
          "page": "https://example.rossum.app/api/v1/pages/314554",
          "rotation": 0,
          "deleted": false
        }
      ],
      "target_queue": "https://example.rossum.app/api/v1/queues/314528",
      "values": {
        "edit:document_type": "invoice"
      }
    }
  ]
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer (int64)

ID of the suggested edit.

url*
read-only
string (url)

URL of the suggested edit.

annotation*
string (url)

Annotation that suggested edit is related to.

documents*
list[object]

List of document split descriptors.

pages
list[object]

List of pages that should be split.

page
string (url)

Page to split.

rotation
integer

Rotation of the page.

Default: 0
deleted
boolean

Indicates whether the page is marked as deleted.

Default: false
target_queue
string (url)

Target queue for the suggested split.

values
object

Edit values to be propagated to newly created annotations. Keys must be prefixed with "edit:", e.g. "edit:document_type". Schema Datapoint description describes how it is used to initialize datapoint value.

Default: {}
400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Partial update suggested edit

PATCH api / v1 / suggested_edits / {suggestedEditID}

Update part of suggested edit object.

PATCH
/api/v1/suggested_edits/{suggestedEditID}
curl -X PATCH "https://example.rossum.app/api/v1/suggested_edits/0" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 314528,
  "url": "https://example.rossum.app/api/v1/suggested_edits/314528",
  "annotation": "https://example.rossum.app/api/v1/annotations/314528",
  "documents": [
    {
      "pages": [
        {
          "page": "https://example.rossum.app/api/v1/pages/314554",
          "rotation": 0,
          "deleted": false
        }
      ],
      "target_queue": "https://example.rossum.app/api/v1/queues/314528",
      "values": {
        "edit:document_type": "invoice"
      }
    }
  ]
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
annotation
string (url)

Annotation that suggested edit is related to.

documents
list[object]

List of document split descriptors.

pages
list[object]

List of pages that should be split.

page
string (url)

Page to split.

rotation
integer

Rotation of the page.

Default: 0
deleted
boolean

Indicates whether the page is marked as deleted.

Default: false
target_queue
string (url)

Target queue for the suggested split.

values
object

Edit values to be propagated to newly created annotations. Keys must be prefixed with "edit:", e.g. "edit:document_type". Schema Datapoint description describes how it is used to initialize datapoint value.

Default: {}

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer (int64)

ID of the suggested edit.

url*
read-only
string (url)

URL of the suggested edit.

annotation*
string (url)

Annotation that suggested edit is related to.

documents*
list[object]

List of document split descriptors.

pages
list[object]

List of pages that should be split.

page
string (url)

Page to split.

rotation
integer

Rotation of the page.

Default: 0
deleted
boolean

Indicates whether the page is marked as deleted.

Default: false
target_queue
string (url)

Target queue for the suggested split.

values
object

Edit values to be propagated to newly created annotations. Keys must be prefixed with "edit:", e.g. "edit:document_type". Schema Datapoint description describes how it is used to initialize datapoint value.

Default: {}
400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Delete suggested edit

DELETE api / v1 / suggested_edits / {suggestedEditID}

Delete suggested edit object.

DELETE
/api/v1/suggested_edits/{suggestedEditID}
curl -X DELETE "https://example.rossum.app/api/v1/suggested_edits/0"
Empty
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

204No Content

No Content

No response body.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Update suggested edit

PUT api / v1 / suggested_edits / {suggestedEditID}

Update suggested edit object.

PUT
/api/v1/suggested_edits/{suggestedEditID}
curl -X PUT "https://example.rossum.app/api/v1/suggested_edits/0" \  -H "Content-Type: application/json" \  -d '{    "annotation": "https://example.rossum.app/api/v1/annotations/314528",    "documents": [      {}    ]  }'
{
  "id": 314528,
  "url": "https://example.rossum.app/api/v1/suggested_edits/314528",
  "annotation": "https://example.rossum.app/api/v1/annotations/314528",
  "documents": [
    {
      "pages": [
        {
          "page": "https://example.rossum.app/api/v1/pages/314554",
          "rotation": 0,
          "deleted": false
        }
      ],
      "target_queue": "https://example.rossum.app/api/v1/queues/314528",
      "values": {
        "edit:document_type": "invoice"
      }
    }
  ]
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
annotation*
string (url)

Annotation that suggested edit is related to.

documents*
list[object]

List of document split descriptors.

pages
list[object]

List of pages that should be split.

page
string (url)

Page to split.

rotation
integer

Rotation of the page.

Default: 0
deleted
boolean

Indicates whether the page is marked as deleted.

Default: false
target_queue
string (url)

Target queue for the suggested split.

values
object

Edit values to be propagated to newly created annotations. Keys must be prefixed with "edit:", e.g. "edit:document_type". Schema Datapoint description describes how it is used to initialize datapoint value.

Default: {}

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer (int64)

ID of the suggested edit.

url*
read-only
string (url)

URL of the suggested edit.

annotation*
string (url)

Annotation that suggested edit is related to.

documents*
list[object]

List of document split descriptors.

pages
list[object]

List of pages that should be split.

page
string (url)

Page to split.

rotation
integer

Rotation of the page.

Default: 0
deleted
boolean

Indicates whether the page is marked as deleted.

Default: false
target_queue
string (url)

Target queue for the suggested split.

values
object

Edit values to be propagated to newly created annotations. Keys must be prefixed with "edit:", e.g. "edit:document_type". Schema Datapoint description describes how it is used to initialize datapoint value.

Default: {}
400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error